Subject: Re: [PATCH 1/3] pass subcommand "prefix" arguments to parse_options()

From: Junio C Hamano <[email-masked]>
Date: Thu, 25 Aug 2022 09:47:05 -0700

Jeff King <[email-masked]> writes:

> However, there is a good use for it: they should pass it to their own
> parse_options() functions, where it may be used to adjust the value of
> any filename options.

Oh, absolutely.  Not passing prefix if they use OPT_FILENAME would
be a bug.

> I'd emphasize that this wasn't broken by bf0a6b65fc; it has been broken
> all along, because the sub-function never got to see the prefix. It is
> that commit which is actually enabling us to fix it (and which also
> brought attention to the problem because it triggers -Wunused-parameter!)

Yeah.  I like that analysis.  With the commit, we pass prefix
through the callgraph, and now we can fix it ;-)

Thanks.